## ros-iron-rmf-fleet-adapter 2.2.2

=== rmf_rxcpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

if (NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(Threads REQUIRED)

add_library(rmf_rxcpp INTERFACE)

target_include_directories(rmf_rxcpp
  INTERFACE
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/RxCpp-4.1.0/Rx/v2/src
    ${rclcpp_INCLUDE_DIRS}
)
target_link_libraries(rmf_rxcpp
  INTERFACE
    Threads::Threads
    ${rclcpp_LIBRARIES}
)

if(BUILD_TESTING)
  find_package(ament_cmake_catch2 REQUIRED)
  find_package(rmf_utils REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_file(uncrustify_config_file NAMES
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_add_catch2(
    test_rmf_rxcpp
      test/main.cpp
      test/test_RxJobs.cpp
      test/test_Transport.cpp
  )
  target_include_directories(test_rmf_rxcpp
    PRIVATE
      ${std_msgs_INCLUDE_DIRS}
  )
  target_link_libraries(test_rmf_rxcpp
    PRIVATE
      rmf_rxcpp
      rmf_utils::rmf_utils
      ${std_msgs_LIBRARIES}
  )

  find_package(rmf_traffic REQUIRED)

  add_executable(rmf_rxcpp_example_plan_path examples/PlanPath.cpp)

  target_link_libraries(rmf_rxcpp_example_plan_path
    PUBLIC
      rmf_traffic::rmf_traffic
      rmf_rxcpp
  )

endif()

=== rmf_rxcpp/RxCpp-4.1.0/Rx/v2/examples/linesfrombytes/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

get_filename_component(SAMPLE_PROJECT "${CMAKE_CURRENT_SOURCE_DIR}" NAME)

project(${SAMPLE_PROJECT} LANGUAGES C CXX)

# define some folders
get_filename_component(RXCPP_DIR "${CMAKE_CURRENT_SOURCE_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)

MESSAGE( STATUS "RXCPP_DIR: " ${RXCPP_DIR} )

include(${RXCPP_DIR}/projects/CMake/shared.cmake)

# define the sources
set(SAMPLE_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
)
add_executable(${SAMPLE_PROJECT} ${SAMPLE_SOURCES})
add_executable(rxcpp::examples::${SAMPLE_PROJECT} ALIAS ${SAMPLE_PROJECT})
target_compile_options(${SAMPLE_PROJECT} PUBLIC ${RX_COMPILE_OPTIONS})
target_compile_features(${SAMPLE_PROJECT} PUBLIC ${RX_COMPILE_FEATURES})
target_include_directories(${SAMPLE_PROJECT} PUBLIC ${RX_SRC_DIR})
target_link_libraries(${SAMPLE_PROJECT} ${CMAKE_THREAD_LIBS_INIT})

# configure unit tests via CTest
enable_testing()
set(CTEST_CONFIGURATION_TYPE "${JOB_BUILD_CONFIGURATION}")

set_target_properties(${SAMPLE_PROJECT} PROPERTIES FOLDER "Examples")

add_test(NAME RunTests
     WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
     COMMAND ${SAMPLE_PROJECT} ${TEST_ARGS})

=== rmf_rxcpp/RxCpp-4.1.0/Rx/v2/examples/tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

get_filename_component(SAMPLE_PROJECT "${CMAKE_CURRENT_SOURCE_DIR}" NAME)

project(${SAMPLE_PROJECT} LANGUAGES C CXX)

# define some folders
get_filename_component(RXCPP_DIR "${CMAKE_CURRENT_SOURCE_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)

MESSAGE( STATUS "RXCPP_DIR: " ${RXCPP_DIR} )

include(${RXCPP_DIR}/projects/CMake/shared.cmake)

# define the sources
set(SAMPLE_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/take.cpp
)
add_executable(${SAMPLE_PROJECT} ${SAMPLE_SOURCES})
add_executable(rxcpp::examples::${SAMPLE_PROJECT} ALIAS ${SAMPLE_PROJECT})
target_compile_options(${SAMPLE_PROJECT} PUBLIC ${RX_COMPILE_OPTIONS})
target_compile_features(${SAMPLE_PROJECT} PUBLIC ${RX_COMPILE_FEATURES})
target_include_directories(${SAMPLE_PROJECT} PUBLIC ${RX_SRC_DIR} ${RX_CATCH_DIR})
target_link_libraries(${SAMPLE_PROJECT} ${CMAKE_THREAD_LIBS_INIT})

# configure unit tests via CTest
enable_testing()
set(CTEST_CONFIGURATION_TYPE "${JOB_BUILD_CONFIGURATION}")

set_target_properties(${SAMPLE_PROJECT} PROPERTIES FOLDER "Examples")

add_test(NAME RunTests
     WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
     COMMAND ${SAMPLE_PROJECT} ${TEST_ARGS})

=== debian/changelog ===
ros-iron-rmf-fleet-adapter (2.2.2-1jammy) jammy; urgency=high

  * Improve linking time (#300 <https://github.com/open-rmf/rmf_ros2/pull/300>)
  * Contributors: Grey, Luca Della Vedova, Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.2.1-1jammy) jammy; urgency=high

  * Fix comparator for direct assignment ordering (#291 <https://github.com/open-rmf/rmf_ros2/pull/291>)
  * Adding initiator and request time to booking (#285 <https://github.com/open-rmf/rmf_ros2/pull/285>)
  * Contributors: Aaron Chong, Yadunund

 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.2.0-1jammy) jammy; urgency=high

  * Fix race condition related to the ``finished`` callback of ``perform_action`` events: (#273 <https://github.com/open-rmf/rmf_ros2/pull/273>)
  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Grey, Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.1.5-1jammy) jammy; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.1.4-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.1.3-1jammy) jammy; urgency=high

  * Fix emergency response for waiting robots: (#253 <https://github.com/open-rmf/rmf_ros2/pull/253>)
  * Properly cleanup emergency pullover task: (#258 <https://github.com/open-rmf/rmf_ros2/pull/258>)
  * Fix priority assignment when parsing tasks: (#265 <https://github.com/open-rmf/rmf_ros2/pull/265>)
  * Link Threads to fix build errors on certain platforms: (#204 <https://github.com/open-rmf/rmf_ros2/pull/204>)
  * Contributors: decada-robotics, Luca Della Vedova, Grey, Yadunund

 -- Grey <grey@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.1.2-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.1.0-1jammy) jammy; urgency=high

  * Add API to update speed limits for lanes: (#217 <https://github.com/open-rmf/rmf_ros2/pull/217>)
  * Make async behaviors more robust: (#228 <https://github.com/open-rmf/rmf_ros2/pull/228>)
  * Allow fleet adapters to change schedule participant profiles: (#229 <https://github.com/open-rmf/rmf_ros2/pull/229>)
  * Allow robots to be decommissioned from the task dispatch system: (#233 <https://github.com/open-rmf/rmf_ros2/pull/233>)
  * Allow manual toggling of stubborn negotiation: (#196 <https://github.com/open-rmf/rmf_ros2/pull/196>)
  * Allow users to specify a custom update listener: (#198 <https://github.com/open-rmf/rmf_ros2/pull/198>)
  * Introduce WaitUntil activity and use it in the ResponsiveWait: (#199 <https://github.com/open-rmf/rmf_ros2/pull/199>)
  * Better support for patrol behaviors: (#205 <https://github.com/open-rmf/rmf_ros2/pull/205>)
  * Allow ResponsiveWait to be enabled and disabled: (#209 <https://github.com/open-rmf/rmf_ros2/pull/209>)
  * Publish the navigation graph of the fleet adapter: (#207 <https://github.com/open-rmf/rmf_ros2/pull/207>)
  * Allow robot status to be overridden by the user: (#191 <https://github.com/open-rmf/rmf_ros2/pull/191>)
  * Add API to report status for perform_action: (#190 <https://github.com/open-rmf/rmf_ros2/pull/190>)
  * Add APIs for cancelling and killing tasks from the RobotUpdateHandle: (#205 <https://github.com/open-rmf/rmf_ros2/pull/205>)
  * Add a WaitUntil event and use it for ResponsiveWait: (#199 <https://github.com/open-rmf/rmf_ros2/pull/199>)

 -- Grey <grey@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter (2.0.0-1jammy) jammy; urgency=high

  * Update to traffic dependency system: (#188 <https://github.com/open-rmf/rmf_ros2/pull/188>)

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter (1.5.0-1jammy) jammy; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)
  * Add lane speed limit to graph parsing function (#124 <https://github.com/open-rmf/rmf_ros2/pull/124>)
  * Support for geojson graphs (#142 <https://github.com/open-rmf/rmf_ros2/pull/142>)

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter (1.4.0-1jammy) jammy; urgency=high

  * Add read_only_blockade adapter: (#110 <https://github.com/open-rmf/rmf_ros2/pull/110>)
  * Accommodate finishing tasks: (#108 <https://github.com/open-rmf/rmf_ros2/pull/109>)
  * Check if lane request's fleet_name is equal to the fleet's fleet_name: (#95 <https://github.com/open-rmf/rmf_ros2/pull/95>)
  * Find nearest waypoint among starts: (#98 <https://github.com/open-rmf/rmf_ros2/pull/98>)

 -- Grey <grey@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-fleet-adapter (1.3.0-1jammy) jammy; urgency=high

  * Add API for opening and closing lanes: (#15)
    
    Added open_lanes and close_lanes CLI tools for issuing requests
  * Allow Traffic Light APIs to update the location of a robot while it is idle: (#270 <https://github.com/osrf/rmf_core/pull/270>)
  * Allow TrafficLight and EasyTrafficLight API to update battery level: (#263 <https://github.com/osrf/rmf_core/pull/263>)
  * Migrating to a task dispatcher framework: (#21)
    
    The rmf_fleet_adapter::agv component interacts with a dispatcher node over topics with rmf_task prefix as specified in rmf_fleet_adapter/StandardNames.hpp
    
    Support for executing tasks at specified timepoints
    
    Support for Loop, Delivery, Clean and ChargeBattery tasks
  * Introduce ResponsiveWait: (#308)
    
    The new ResponsiveWait task phase can be used to have idle/waiting robots respond to schedule conflicts
    


=== debian/control ===
Source: ros-iron-rmf-fleet-adapter
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, nlohmann-json3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-catch2 <!nocheck>, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-nlohmann-json-schema-validator-vendor, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmf-api-msgs, ros-iron-rmf-battery, ros-iron-rmf-building-map-msgs, ros-iron-rmf-dispenser-msgs, ros-iron-rmf-door-msgs, ros-iron-rmf-fleet-msgs, ros-iron-rmf-ingestor-msgs, ros-iron-rmf-lift-msgs, ros-iron-rmf-task, ros-iron-rmf-task-msgs, ros-iron-rmf-task-ros2, ros-iron-rmf-task-sequence, ros-iron-rmf-traffic, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils, ros-iron-rmf-websocket, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-fleet-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-iron-nlohmann-json-schema-validator-vendor, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rmf-api-msgs, ros-iron-rmf-battery, ros-iron-rmf-building-map-msgs, ros-iron-rmf-dispenser-msgs, ros-iron-rmf-door-msgs, ros-iron-rmf-fleet-msgs, ros-iron-rmf-ingestor-msgs, ros-iron-rmf-lift-msgs, ros-iron-rmf-task, ros-iron-rmf-task-msgs, ros-iron-rmf-task-ros2, ros-iron-rmf-task-sequence, ros-iron-rmf-traffic, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils, ros-iron-rmf-websocket, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Fleet Adapter package for RMF fleets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-fleet-adapter//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
